Index: kernel/generic/src/adt/bitmap.c
===================================================================
--- kernel/generic/src/adt/bitmap.c	(revision 89ea2dc48f26dfcd2aba2a270dac8523cec931c2)
+++ kernel/generic/src/adt/bitmap.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -62,5 +62,5 @@
 	size_t byte = element / BITMAP_ELEMENT;
 	uint8_t mask = 1 << (element & BITMAP_REMAINER);
-	
+
 	return !!((bitmap->bits)[byte] & mask);
 }
@@ -78,8 +78,8 @@
 {
 	size_t size = elements / BITMAP_ELEMENT;
-	
+
 	if ((elements % BITMAP_ELEMENT) != 0)
 		size++;
-	
+
 	return size;
 }
@@ -113,20 +113,20 @@
 {
 	assert(start + count <= bitmap->elements);
-	
+
 	if (count == 0)
 		return;
-	
+
 	size_t start_byte = start / BITMAP_ELEMENT;
 	size_t aligned_start = ALIGN_UP(start, BITMAP_ELEMENT);
-	
+
 	/* Leading unaligned bits */
 	size_t lub = min(aligned_start - start, count);
-	
+
 	/* Aligned middle bits */
 	size_t amb = (count > lub) ? (count - lub) : 0;
-	
+
 	/* Trailing aligned bits */
 	size_t tab = amb % BITMAP_ELEMENT;
-	
+
 	if (start + count < aligned_start) {
 		/* Set bits in the middle of byte. */
@@ -135,5 +135,5 @@
 		return;
 	}
-	
+
 	if (lub) {
 		/* Make sure to set any leading unaligned bits. */
@@ -141,7 +141,7 @@
 		    ~((1 << (BITMAP_ELEMENT - lub)) - 1);
 	}
-	
+
 	size_t i;
-	
+
 	for (i = 0; i < amb / BITMAP_ELEMENT; i++) {
 		/* The middle bits can be set byte by byte. */
@@ -149,5 +149,5 @@
 		    ALL_ONES;
 	}
-	
+
 	if (tab) {
 		/* Make sure to set any trailing aligned bits. */
@@ -167,20 +167,20 @@
 {
 	assert(start + count <= bitmap->elements);
-	
+
 	if (count == 0)
 		return;
-	
+
 	size_t start_byte = start / BITMAP_ELEMENT;
 	size_t aligned_start = ALIGN_UP(start, BITMAP_ELEMENT);
-	
+
 	/* Leading unaligned bits */
 	size_t lub = min(aligned_start - start, count);
-	
+
 	/* Aligned middle bits */
 	size_t amb = (count > lub) ? (count - lub) : 0;
-	
+
 	/* Trailing aligned bits */
 	size_t tab = amb % BITMAP_ELEMENT;
-	
+
 	if (start + count < aligned_start) {
 		/* Set bits in the middle of byte */
@@ -189,5 +189,5 @@
 		return;
 	}
-	
+
 	if (lub) {
 		/* Make sure to clear any leading unaligned bits. */
@@ -195,7 +195,7 @@
 		    (1 << (BITMAP_ELEMENT - lub)) - 1;
 	}
-	
+
 	size_t i;
-	
+
 	for (i = 0; i < amb / BITMAP_ELEMENT; i++) {
 		/* The middle bits can be cleared byte by byte. */
@@ -203,5 +203,5 @@
 		    ALL_ZEROES;
 	}
-	
+
 	if (tab) {
 		/* Make sure to clear any trailing aligned bits. */
@@ -209,5 +209,5 @@
 		    ~((1 << tab) - 1);
 	}
-	
+
 	bitmap->next_fit = start_byte;
 }
@@ -224,10 +224,10 @@
 	assert(count <= dst->elements);
 	assert(count <= src->elements);
-	
+
 	size_t i;
-	
+
 	for (i = 0; i < count / BITMAP_ELEMENT; i++)
 		dst->bits[i] = src->bits[i];
-	
+
 	if (count % BITMAP_ELEMENT) {
 		bitmap_clear_range(dst, i * BITMAP_ELEMENT,
@@ -274,8 +274,8 @@
 	if (count == 0)
 		return false;
-	
+
 	size_t size = bitmap_size(bitmap->elements);
 	size_t next_fit = bitmap->next_fit;
-	
+
 	/*
 	 * Adjust the next-fit value according to the address
@@ -284,30 +284,30 @@
 	if ((prefered > base) && (prefered < base + bitmap->elements)) {
 		size_t prefered_fit = (prefered - base) / BITMAP_ELEMENT;
-		
+
 		if (prefered_fit > next_fit)
 			next_fit = prefered_fit;
 	}
-	
+
 	for (size_t pos = 0; pos < size; pos++) {
 		size_t byte = (next_fit + pos) % size;
-		
+
 		/* Skip if the current byte has all bits set */
 		if (bitmap->bits[byte] == ALL_ONES)
 			continue;
-		
+
 		size_t byte_bit = byte * BITMAP_ELEMENT;
-		
+
 		for (size_t bit = 0; bit < BITMAP_ELEMENT; bit++) {
 			size_t i = byte_bit + bit;
-			
+
 			if (i >= bitmap->elements)
 				break;
-			
+
 			if (!constraint_satisfy(i, base, constraint))
 				continue;
-			
+
 			if (!bitmap_get_fast(bitmap, i)) {
 				size_t continuous = 1;
-				
+
 				for (size_t j = 1; j < count; j++) {
 					if ((i + j < bitmap->elements) &&
@@ -317,5 +317,5 @@
 						break;
 				}
-				
+
 				if (continuous == count) {
 					if (index != NULL) {
@@ -324,5 +324,5 @@
 						*index = i;
 					}
-					
+
 					return true;
 				} else
@@ -331,5 +331,5 @@
 		}
 	}
-	
+
 	return false;
 }
